Subject: [OPSAWG] FW: [OPS-AREA] Present day reality of COPS-PR

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 25 Sep 2009 17:56:40 +0200

Paul,

I am forwarding this to the OPSAWG who discussed in Stockholm the issue
of making COPS-PR Historical. They are looking for a volunteer to write
the RFC. 

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Paul Duffy
Sent: Friday, September 25, 2009 6:45 PM
To: OPS Area (E-mail)
Subject: [OPS-AREA] Present day reality of COPS-PR

Folks,

I recently had to do a quick eval re: COPS-PR viability.  Please correct
as needed, and thanks for your input.

-----------

COPS-PR seems a solution that was looking for a problem.  It never
really took off, for the following reasons....

- most, if not all, of what could be done with COPS-PR/PIBs can be done
with SNMP/MIBs. To do both is significant duplicated effort.

- operators don't want binary PIBs, prefer ASCII based CLI-type
interfaces.

- key players (who?) withdrew from COPS-PR and PIB approach, claiming
there was no market.

- IETF has since gone down the path of Netconf and started discussion to
make COPS-PR historical.

- there are few, if any, significant deployments.

AFAIK, there is minimal commercial or open source support.

Cheers

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ops-area

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sat, 26 Sep 2009 00:02:26 +0200

On Fri, Sep 25, 2009 at 05:56:40PM +0200, Romascanu, Dan (Dan) wrote:
 
> I am forwarding this to the OPSAWG who discussed in Stockholm the
> issue of making COPS-PR Historical. They are looking for a volunteer
> to write the RFC.

I think we should declare all COPS-PR related documents Historic
at the same time. I did some searching and came up with this set:

RFC 3084: COPS Usage for Policy Provisioning 
          [Proposed]
RFC 3159: Structure of Policy Provisioning Information (SPPI)
          [Proposed]
RFC 3317: Differentiated Services Quality of Service Policy Information Base
          [Informational]
RFC 3318: Framework Policy Information Base
          [Informational]
RFC 3571: Framework Policy Information Base for Usage Feedback
          [Informational]

Is there some tool to check whether other documents refer to any of
these documents in a normative way? I am willing to put such a
document on its way if nobody else steps up.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 25 Sep 2009 15:11:31 -0700

Hi -

> From: "Juergen Schoenwaelder" <[email-masked]>
> To: "Romascanu, Dan (Dan)" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, September 25, 2009 3:02 PM
> Subject: Re: [OPSAWG] FW: [OPS-AREA] Present day reality of COPS-PR
...
> document on its way if nobody else steps up.

http://rtg.ietf.org/~fenner/ietf/deps/index.cgi

should do the job.  (from the tools.ietf.org pages)
I can't get to it at the moment to verify whether it still works.

Randy

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 29 Sep 2009 13:24:36 +0200

All, 

You must have seen by now Juergen's I-D -
draft-schoenw-opsawg-copspr-historic-00.txt

I am attaching the two core mails (from Paul Duffy and David Harrington)
so that the discussion is 'officially' moved to OPSAWG. A couple of more
comments from Brian Carpenter and Bert Wijnen can be fetched from the
OPSAREA list archives. 

Dan

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Randy Presuhn
> Sent: Saturday, September 26, 2009 1:12 AM
> To: [email-masked]
> should do the job.  (from the tools.ietf.org pages) I can't 
> get to it at the moment to verify whether it still works.
> 
> Randy
> 
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>